package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MensagemRecusa;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;


public class RenderMensagemRecusa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        MensagemRecusa mensagem = (MensagemRecusa) o;

        Listcell lc = new Listcell(mensagem.getMensagemRecusaId().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(mensagem.getCategoria().getDesccategoria());
        lc.setParent(lstm);

        lc = new Listcell(mensagem.getDescricao());
        lc.setParent(lstm);

        lstm.setAttribute("data", mensagem);
    }
}
